API referencePayment Links
Retrieve a payment link
Returns the current state of a payment link. Prefer webhooks over polling.
Returns the current state of a payment link. Prefer webhooks over polling.
Authorization
secretKey AuthorizationBearer <token>
Sandbox try-it accepts sk_test_… only.
In: header
Path Parameters
id*string
The payment link's id.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/payment-links/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference_id": "string", "url": "http://example.com", "status": "pending", "amount": 0, "fee": { "total": 0, "transaction": 0, "instant_settlement": 0, "paid_by": "me" }, "payer_amount": 0, "net_amount": 0, "title": "string", "note": "string", "payment_method": "string", "settlement_account_id": "d050fea4-5b02-490d-8c34-3ec6e6f56121", "expires_at": "2019-08-24T14:15:22Z", "paid_at": "2019-08-24T14:15:22Z", "settle_at": "2019-08-24T14:15:22Z", "settled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" }, "meta": { "request_id": "string" }}